
# Copyright 2022, Frank Sauerburger

"""Movie title suggestion api"""

import json
from flask import Flask, request
import qgram

app = Flask(__name__)

with open("examples/titles.json", encoding="utf-8") as fileobj:
    titles = json.load(fileobj)

index = qgram.QGramIndex()
for title, _ in titles.values():
    index.add_term(title)

@app.route("/")
def suggest():
    """Serve movie title suggestions"""
    query = request.args.get("q")
    if not query:
        return {}

    results = index.search(query)
    return {
        "suggestions": results[:100]
    }
